Loading...
Searching...
No Matches
mbedtls_cmac_context_t Struct Reference

`#include <cmac.h>`

## Data Fields

unsigned char | private_state [MBEDTLS_CMAC_MAX_BLOCK_SIZE]
unsigned char | private_unprocessed_block [MBEDTLS_CMAC_MAX_BLOCK_SIZE]
size_t | private_unprocessed_len
int | dummy

## Detailed Description

The CMAC context structure.

Definition at line 59 of file cmac.h.

## Field Documentation

## dummy

int mbedtls_cmac_context_t::dummy

Definition at line 11 of file cmac_alt.h.

## private_state

unsigned char mbedtls_cmac_context_t::private_state[MBEDTLS_CMAC_MAX_BLOCK_SIZE]

The internal state of the CMAC algorithm.

Definition at line 61 of file cmac.h.

## private_unprocessed_block

unsigned char mbedtls_cmac_context_t::private_unprocessed_block[MBEDTLS_CMAC_MAX_BLOCK_SIZE]

Unprocessed data - either data that was not block aligned and is still pending processing, or the final block.

Definition at line 65 of file cmac.h.

## private_unprocessed_len

size_t mbedtls_cmac_context_t::private_unprocessed_len

The length of data pending processing.

Definition at line 68 of file cmac.h.

The documentation for this struct was generated from the following files:

- cmac.h
- cmac_alt.h